org.apache.cassandra.db

## Interface Clusterable

- All Known Subinterfaces:
    Clustering, ClusteringPrefix, RangeTombstoneMarker, Row, Unfiltered
  All Known Implementing Classes:
    AbstractBufferClusteringPrefix, AbstractClusteringPrefix, AbstractRangeTombstoneMarker, AbstractRow, BTreeRow, BufferClustering, ClusteringBound, ClusteringBoundary, ClusteringBoundOrBoundary, NativeClustering, RangeTombstoneBoundaryMarker, RangeTombstoneBoundMarker

      public interface Clusterable

  Common class for objects that are identified by a clustering prefix, and can be thus sorted by a `ClusteringComparator`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClusteringPrefix` | `clustering()`

- - ### Method Detail

    - #### clustering

          ClusteringPrefix clustering()

Copyright © 2018 The Apache Software Foundation